<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <ImageView
        android:id="@+id/iv_top"
        android:src="@drawable/ic_update_top"
        android:scaleType="fitCenter"
        app:layout_constraintDimensionRatio="H,619:306"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_width="0dp"
        android:layout_height="0dp"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/iv_top"
        android:orientation="vertical"
        android:gravity="center"
        android:background="@drawable/bg_dialog_round">
        <TextView
            android:id="@+id/tv_title"
            android:padding="10dp"
            android:textSize="18sp"
            android:textColor="@color/text_normal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <TextView
            android:id="@+id/tv_content"
            android:paddingVertical="10dp"
            android:layout_gravity="left"
            android:textSize="16sp"
            android:textColor="@color/text_gray"
            android:layout_marginHorizontal="20dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <com.google.android.material.progressindicator.LinearProgressIndicator
            android:id="@+id/progressBar"
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:layout_marginTop="16dp"
            android:indeterminate="false"
            android:focusableInTouchMode="false"
            android:layout_marginHorizontal="20dp"
            android:max="100"
            android:visibility="invisible"
            android:progress="0"
            app:trackColor="#E0E0E0"
            app:trackThickness="6dp"
            app:indicatorColor="#580DCA"/>

        <TextView
            android:id="@+id/tv_download"
            android:text="立即更新"
            android:padding="10dp"
            android:background="@drawable/select_bg_upload_button"
            android:layout_marginHorizontal="60dp"
            android:layout_marginVertical="20dp"
            android:gravity="center"
            android:textSize="18sp"
            android:textColor="@color/white"
            android:layout_width="match_parent"
            android:layout_height="60dp"/>

    </LinearLayout>



</androidx.constraintlayout.widget.ConstraintLayout>